Chart-1.9.3: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2010 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Axis.Indexed

Description

Calculate and render indexed axes

Synopsis

- newtype PlotIndex = PlotIndex {
  - plotindex_i :: Int
  }
- autoIndexAxis :: Integral i => [String] -> [i] -> AxisData i
- addIndexes :: [a] -> [(PlotIndex, a)]

# Documentation

newtype PlotIndex Source #

Type for capturing values plotted by index number (ie position in a list) rather than a numerical value.

Constructors

PlotIndex |

Fields

- plotindex_i :: Int

#### Instances

Instances details

Enum PlotIndex Source # |

Instance details

Defined in Graphics.Rendering.Chart.Axis.Indexed

Methods

succ :: PlotIndex -> PlotIndex

pred :: PlotIndex -> PlotIndex

toEnum :: Int -> PlotIndex

fromEnum :: PlotIndex -> Int

enumFrom :: PlotIndex -> [PlotIndex]

enumFromThen :: PlotIndex -> PlotIndex -> [PlotIndex]

enumFromTo :: PlotIndex -> PlotIndex -> [PlotIndex]

enumFromThenTo :: PlotIndex -> PlotIndex -> PlotIndex -> [PlotIndex]

Eq PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods (==) :: PlotIndex -> PlotIndex -> Bool (/=) :: PlotIndex -> PlotIndex -> Bool
Integral PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods quot :: PlotIndex -> PlotIndex -> PlotIndex rem :: PlotIndex -> PlotIndex -> PlotIndex div :: PlotIndex -> PlotIndex -> PlotIndex mod :: PlotIndex -> PlotIndex -> PlotIndex quotRem :: PlotIndex -> PlotIndex -> (PlotIndex, PlotIndex) divMod :: PlotIndex -> PlotIndex -> (PlotIndex, PlotIndex) toInteger :: PlotIndex -> Integer
Num PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods (+) :: PlotIndex -> PlotIndex -> PlotIndex (-) :: PlotIndex -> PlotIndex -> PlotIndex (*) :: PlotIndex -> PlotIndex -> PlotIndex negate :: PlotIndex -> PlotIndex abs :: PlotIndex -> PlotIndex signum :: PlotIndex -> PlotIndex fromInteger :: Integer -> PlotIndex
Ord PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods compare :: PlotIndex -> PlotIndex -> Ordering (<) :: PlotIndex -> PlotIndex -> Bool (<=) :: PlotIndex -> PlotIndex -> Bool (>) :: PlotIndex -> PlotIndex -> Bool (>=) :: PlotIndex -> PlotIndex -> Bool max :: PlotIndex -> PlotIndex -> PlotIndex min :: PlotIndex -> PlotIndex -> PlotIndex
Real PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods toRational :: PlotIndex -> Rational
Show PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods showsPrec :: Int -> PlotIndex -> ShowS show :: PlotIndex -> String showList :: [PlotIndex] -> ShowS
PlotValue PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods toValue :: PlotIndex -> Double Source # fromValue :: Double -> PlotIndex Source # autoAxis :: AxisFn PlotIndex Source #

autoIndexAxis :: Integral i => [String] -> [i] -> AxisData i Source #

Create an axis for values indexed by position. The list of strings are the labels to be used.

addIndexes :: [a] -> [(PlotIndex, a)] Source #

Augment a list of values with index numbers for plotting.